Bug 1209260 (qtlockedfile-qt5) - qtlockedfile Build for Qt5
Summary: qtlockedfile Build for Qt5
Keywords:
Status: CLOSED ERRATA
Alias: qtlockedfile-qt5
Product: Fedora
Classification: Fedora
Component: qtlockedfile
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Raphael Groner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1091704 qtsingleapplication-qt5 1217968
TreeView+ depends on / blocked
 
Reported: 2015-04-06 21:07 UTC by Raphael Groner
Modified: 2015-05-22 19:25 UTC (History)
1 user (show)

Fixed In Version: qtsingleapplication-2.6.1-17.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-05-22 17:57:28 UTC
Type: Bug


Attachments (Terms of Use)
qtlockedfile.spec with qt5 subpackage (4.38 KB, text/x-matlab)
2015-04-25 20:31 UTC, Raphael Groner
no flags Details
qtlockedfile.spec with qt5 subpackage (4.46 KB, text/x-matlab)
2015-04-25 20:42 UTC, Raphael Groner
no flags Details

Description Raphael Groner 2015-04-06 21:07:53 UTC
Description of problem:
Please provide a package that builds against Qt5.

Version-Release number of selected component (if applicable):
-

How reproducible:
yes

Steps to Reproduce:
1. try to build an application or package with BR: qt5-devel
2.
3.

Actual results:
not possible to unbundle qtlockedfile

Expected results:
available package qtlockedfile-qt5 (or the like)

Additional info:

Comment 1 Raphael Groner 2015-04-25 16:17:56 UTC
Upstream has accepted one of your suggested patches. I would be glad to help maintain this package to keep it at a current state, please approve commit access.

Comment 2 Raphael Groner 2015-04-25 20:31:44 UTC
Created attachment 1018878 [details]
qtlockedfile.spec with qt5 subpackage

Comment 3 Raphael Groner 2015-04-25 20:42:05 UTC
Created attachment 1018880 [details]
qtlockedfile.spec with qt5 subpackage

Comment 5 Fedora Update System 2015-04-26 17:27:17 UTC
qtlockedfile-2.4-13.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qtlockedfile-2.4-13.fc22

Comment 6 Fedora Update System 2015-04-26 17:51:18 UTC
qtlockedfile-2.4-13.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qtlockedfile-2.4-13.fc21

Comment 8 Fedora Update System 2015-04-28 13:15:41 UTC
Package qtlockedfile-2.4-13.fc21, qtsingleapplication-2.6.1-14.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qtlockedfile-2.4-13.fc21 qtsingleapplication-2.6.1-14.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2015-7061/qtsingleapplication-2.6.1-14.fc21,qtlockedfile-2.4-13.fc21
then log in and leave karma (feedback).

Comment 9 Fedora Update System 2015-05-04 10:11:09 UTC
qtsingleapplication-2.6.1-16.fc22,qtlockedfile-2.4-15.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/qtsingleapplication-2.6.1-16.fc22,qtlockedfile-2.4-15.fc22

Comment 10 Fedora Update System 2015-05-04 10:15:22 UTC
qtsingleapplication-2.6.1-16.fc21,qtlockedfile-2.4-15.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/qtsingleapplication-2.6.1-16.fc21,qtlockedfile-2.4-15.fc21

Comment 11 Fedora Update System 2015-05-22 17:57:28 UTC
qtsingleapplication-2.6.1-17.fc21, qtlockedfile-2.4-16.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.